class TaobaoTest < Minitest::Test

  describe 'Sms::Taobao test' do

    before do
      @options = {source: "taobao", app_secret: '5aff003ac3c7243da65adef1e7c9c363', app_key: '23272925', sms_free_sign_name: '爱客', sms_template_code: 'SMS_2575137', sms_param: {code: 'xxx', product: 'ddd'}, phone: '13262902619'}
    end

    it 'SmsSender singleSend' do
      obj = SmsSender.new(@options)
      assert_instance_of Sms::Taobao, obj.source

      data = obj.singleSend(@options[:phone])

      puts data.inspect

      assert data.has_key? 'alibaba_aliqin_fc_sms_num_send_response'
      assert_instance_of Hash, data['alibaba_aliqin_fc_sms_num_send_response']

      assert data['alibaba_aliqin_fc_sms_num_send_response'].has_key? 'result'

      result = data['alibaba_aliqin_fc_sms_num_send_response']['result']
      assert_instance_of Hash, result
      assert result.has_key? 'success'
      assert result['success'].eql?(true)

      assert result.has_key? 'err_code'
      assert result['err_code'].to_i.zero?
    end

  end

end